Package tigase.server.rtbl

# Class RTBLSubscribeModule

java.lang.Object
tigase.component.modules.AbstractModule
tigase.server.rtbl.RTBLIqModule<RTBLSubscribeModule.Context>
tigase.server.rtbl.RTBLSubscribeModule

All Implemented Interfaces:
  `Module`, `Initializable`, `UnregisterAware`

@Bean(name="rtblSubscribeModule", parent=RTBLComponent.class, active=true) public class RTBLSubscribeModule extends RTBLIqModule<RTBLSubscribeModule.Context>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final record`
  `RTBLSubscribeModule.Context`

  ## Nested classes/interfaces inherited from class tigase.server.rtbl.RTBLIqModule

  `RTBLIqModule.RequestKey, RTBLIqModule.ResultEvent`

- ## Field Summary

  ### Fields inherited from class tigase.component.modules.AbstractModule

  `eventBus, log, writer`

  ### Fields inherited from interface tigase.component.modules.Module

  `EMPTY_FEATURES`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RTBLSubscribeModule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `handleResult(RTBLIqModule.ResultEvent event, RTBLSubscribeModule.Context ctx)`
  `void`
  `subscribe(BareJID jid, String node)`
  `void`
  `unsubscribe(BareJID jid, String node)`

  ### Methods inherited from class tigase.server.rtbl.RTBLIqModule

  `beforeUnregister, getComponent, getModuleCriteria, getOwnJID, handleResultEvent, handleSuccess, initialize, process, sendIq`

  ### Methods inherited from class tigase.component.modules.AbstractModule

  `fireEvent, getEventBus, getWriter, setEventBus, setWriter, write, write`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.component.modules.Module

  `canHandle, getFeatures`

- ## Constructor Details

  - ### RTBLSubscribeModule

    public RTBLSubscribeModule()

- ## Method Details

  - ### subscribe

    public void subscribe(BareJID jid, String node)

  - ### unsubscribe

    public void unsubscribe(BareJID jid, String node)

  - ### handleResult

    protected void handleResult(RTBLIqModule.ResultEvent event, RTBLSubscribeModule.Context ctx)
    Specified by:
      `handleResult` in class `RTBLIqModule<RTBLSubscribeModule.Context>`